Index: doc/latex/chmat_8h__dep__incl.eps
===================================================================
--- doc/latex/chmat_8h__dep__incl.eps (revision 210)
+++ doc/latex/chmat_8h__dep__incl.eps (revision 224)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 852 240
+%%PageBoundingBox: 36 36 1902 240
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 816 204 boxprim clip newpath
+36 36 1866 204 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 496 174 moveto
-496 195 lineto
-677 195 lineto
-677 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 496 174 moveto
-496 195 lineto
-677 195 lineto
-677 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-503.5 181.5 moveto 165 (work/git/mixpp/bdm/math/chmat.h) alignedtext
+newpath 1166 174 moveto
+1166 195 lineto
+1347 195 lineto
+1347 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1166 174 moveto
+1166 195 lineto
+1347 195 lineto
+1347 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1173.5 181.5 moveto 165 (work/git/mixpp/bdm/math/chmat.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 406 117 578 137 ]
+[ /Rect [ 961 117 1133 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 406 116 moveto
-406 137 lineto
-578 137 lineto
-578 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 406 116 moveto
-406 137 lineto
-578 137 lineto
-578 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-414 123.5 moveto 156 (work/git/mixpp/bdm/estim/libKF.h) alignedtext
+newpath 961 116 moveto
+961 137 lineto
+1133 137 lineto
+1133 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 961 116 moveto
+961 137 lineto
+1133 137 lineto
+1133 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+969 123.5 moveto 156 (work/git/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 559 169 moveto
-543 158 522 145 508 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 557.56 172.2 moveto
-568 174 lineto
-560.96 166.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 557.56 172.2 moveto
-568 174 lineto
-560.96 166.08 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 630 59 808 79 ]
+newpath 1206 171 moveto
+1169 160 1117 146 1083 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1205.42 174.48 moveto
+1216 174 lineto
+1207.43 167.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1205.42 174.48 moveto
+1216 174 lineto
+1207.43 167.77 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 1680 59 1858 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
@@ -260,40 +260,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 630 58 moveto
-630 79 lineto
-809 79 lineto
-809 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 630 58 moveto
-630 79 lineto
-809 79 lineto
-809 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-637.5 65.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 607 167 moveto
-635 143 684 99 707 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 604.22 164.78 moveto
-599 174 lineto
-608.83 170.05 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 604.22 164.78 moveto
-599 174 lineto
-608.83 170.05 lineto
+newpath 1680 58 moveto
+1680 79 lineto
+1859 79 lineto
+1859 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1680 58 moveto
+1680 79 lineto
+1859 79 lineto
+1859 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1687.5 65.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1315 172 moveto
+1418 148 1632 100 1725 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1314.12 168.61 moveto
+1305 174 lineto
+1315.49 175.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1314.12 168.61 moveto
+1305 174 lineto
+1315.49 175.47 lineto
 closepath stroke
 grestore
@@ -328,46 +328,26 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 422 114 moveto
-365 103 286 88 233 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 421.51 117.47 moveto
-432 116 lineto
-422.88 110.61 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 421.51 117.47 moveto
-432 116 lineto
-422.88 110.61 lineto
-closepath stroke
-grestore
-% Node2->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 545 113 moveto
-586 103 642 88 680 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 543.57 109.77 moveto
-535 116 lineto
-545.58 116.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 543.57 109.77 moveto
-535 116 lineto
-545.58 116.48 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 296 59 612 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+newpath 951 122 moveto
+807 114 526 100 287 80 curveto
+283 80 279 79 276 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 950.7 125.49 moveto
+961 123 lineto
+951.4 118.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 950.7 125.49 moveto
+961 123 lineto
+951.4 118.52 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 296 59 480 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__test_8cpp.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -375,6 +355,6 @@
 newpath 296 58 moveto
 296 79 lineto
-612 79 lineto
-612 58 lineto
+481 79 lineto
+481 58 lineto
 closepath fill
 1 setlinewidth
@@ -383,10 +363,57 @@
 newpath 296 58 moveto
 296 79 lineto
-612 79 lineto
-612 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-304 65.5 moveto 300 (work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+481 79 lineto
+481 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+303.5 65.5 moveto 169 (work/git/mixpp/pmsm/mpf_test.cpp) alignedtext
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 951 119 moveto
+839 110 651 95 489 80 curveto
+486 80 483 79 480 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 950.7 122.49 moveto
+961 120 lineto
+951.4 115.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 950.7 122.49 moveto
+961 120 lineto
+951.4 115.52 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 498 59 698 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__u__delta_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 498 58 moveto
+498 79 lineto
+699 79 lineto
+699 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 498 58 moveto
+498 79 lineto
+699 79 lineto
+699 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+505.5 65.5 moveto 185 (work/git/mixpp/pmsm/mpf_u_delta.cpp) alignedtext
 grestore
 % Node2->Node7
@@ -395,18 +422,224 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 480 108 moveto
-473 98 466 87 461 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 476.73 109.38 moveto
-485 116 lineto
-482.67 105.66 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 476.73 109.38 moveto
-485 116 lineto
-482.67 105.66 lineto
+newpath 952 115 moveto
+870 104 753 89 676 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 951.7 118.49 moveto
+962 116 lineto
+952.4 111.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 951.7 118.49 moveto
+962 116 lineto
+952.4 111.52 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 716 59 924 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__u__weight_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 716 58 moveto
+716 79 lineto
+924 79 lineto
+924 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 716 58 moveto
+716 79 lineto
+924 79 lineto
+924 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+724 65.5 moveto 192 (work/git/mixpp/pmsm/mpf_u_weight.cpp) alignedtext
+grestore
+% Node2->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 994 113 moveto
+953 103 897 88 859 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 993.42 116.48 moveto
+1004 116 lineto
+995.43 109.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 993.42 116.48 moveto
+1004 116 lineto
+995.43 109.77 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 942 59 1152 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm__unkQpf_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 942 58 moveto
+942 79 lineto
+1153 79 lineto
+1153 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 942 58 moveto
+942 79 lineto
+1153 79 lineto
+1153 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+949.5 65.5 moveto 195 (work/git/mixpp/pmsm/pmsm_unkQpf.cpp) alignedtext
+grestore
+% Node2->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1047 106 moveto
+1047 96 1047 86 1047 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1043.5 106 moveto
+1047 116 lineto
+1050.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1043.5 106 moveto
+1047 116 lineto
+1050.5 106 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 1170 59 1328 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1170 58 moveto
+1170 79 lineto
+1329 79 lineto
+1329 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1170 58 moveto
+1170 79 lineto
+1329 79 lineto
+1329 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1177.5 65.5 moveto 143 (work/git/mixpp/pmsm/sim.cpp) alignedtext
+grestore
+% Node2->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1095 113 moveto
+1131 102 1181 88 1214 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1093.57 109.77 moveto
+1085 116 lineto
+1095.58 116.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1093.57 109.77 moveto
+1085 116 lineto
+1095.58 116.48 lineto
+closepath stroke
+grestore
+% Node2->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1143 120 moveto
+1266 112 1484 97 1671 80 curveto
+1674 80 1677 79 1680 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1142.6 116.52 moveto
+1133 121 lineto
+1143.3 123.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1142.6 116.52 moveto
+1133 121 lineto
+1143.3 123.49 lineto
+closepath stroke
+grestore
+% Node12
+gsave
+[ /Rect [ 1346 59 1662 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1346 58 moveto
+1346 79 lineto
+1662 79 lineto
+1662 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1346 58 moveto
+1346 79 lineto
+1662 79 lineto
+1662 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1354 65.5 moveto 300 (work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node2->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1143 115 moveto
+1227 104 1346 89 1425 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1142.6 111.52 moveto
+1133 116 lineto
+1143.3 118.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1142.6 111.52 moveto
+1133 116 lineto
+1143.3 118.49 lineto
 closepath stroke
 grestore
@@ -510,5 +743,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 852 240
+%%BoundingBox: 36 36 1902 240
 end
 restore
